PostgreSQL 9.3.2 Documentation
Prev | Up |  | Next

# SPI_palloc

## Name

SPI_palloc -- allocate memory in the upper executor context

## Synopsis

    void * SPI_palloc(Size size)

## Description

`SPI_palloc` allocates memory in the upper executor context.

## Arguments

`Size `size``

  size in bytes of storage to allocate

## Return Value

pointer to new storage space of the specified size

Prev | Home | Next
Memory Management | Up | SPI_repalloc